//
//  ViewController.m
//  iPhoneAppTutorial
//
//  Created by Christopher Ching on 13-01-15.
//  Copyright (c) 2013 CodeWithChris. All rights reserved.
//
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
//
//  This source code is for the tutorial series "How To Make iPhone Apps With No Programming Experience"
//  http://codewithchris.com/how-to-make-iphone-apps-with-no-programming-experience/
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController


- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    self.model = [[DiceDataController alloc] init];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)rollButtonClicked:(id)sender {

    int roll = [self.model getDiceRoll];
    int roll2 = [self.model getDiceRoll];
    
    [self.firstDie showDie:roll];
    
    [self.secondDie showDie:roll2];
    
    NSString *sumText = [NSString stringWithFormat:@"Sum is %d", roll + roll2];
    
    self.sumLabel.text = sumText;
}

@end
